//
// Simple passthrough vertex shader
//
attribute vec3 in_Position;                  // (x,y,z)
//attribute vec3 in_Normal;                  // (x,y,z)     unused in this shader.	
attribute vec4 in_Colour;                    // (r,g,b,a)
attribute vec2 in_TextureCoord;              // (u,v)

varying vec2 v_vTexcoord;
varying vec4 v_vColour;

void main()
{
    vec4 object_space_pos = vec4( in_Position.x, in_Position.y, in_Position.z, 1.0);
    gl_Position = gm_Matrices[MATRIX_WORLD_VIEW_PROJECTION] * object_space_pos;
    
    v_vColour = in_Colour;
    v_vTexcoord = in_TextureCoord;
}

//######################_==_YOYO_SHADER_MARKER_==_######################@~/*
 Simple fragment shader
 Instead of taking what is drawn, it takes a texture (texture_map) and draws the stuff to the screen
 It works almost exactly the same as alpha_channel_threshold
*/
varying vec2 v_vTexcoord;
varying vec4 v_vColour;

uniform sampler2D alpha_map;
uniform sampler2D texture_map;

vec4 alpha_color;

float brightness = 0.0;

void main()
{
    gl_FragColor = texture2D(texture_map, v_vTexcoord );
    alpha_color =  texture2D(alpha_map, v_vTexcoord );
    
    if ((alpha_color.r+alpha_color.g+alpha_color.b)/3.0 > 0.6)
    {
    gl_FragColor.a = 1.0;
    }
    else
    {
    gl_FragColor.a = 0.0;
    }
    
}

